org.eclipse.rdf4j.query.algebra.evaluation.iterator

## Class GroupIterator

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,X>
  - - org.eclipse.rdf4j.common.iteration.CloseableIteratorIteration<BindingSet,QueryEvaluationException>
    - - org.eclipse.rdf4j.query.algebra.evaluation.iterator.GroupIterator

- All Implemented Interfaces:
    AutoCloseable, CloseableIteration<BindingSet,QueryEvaluationException>, Iteration<BindingSet,QueryEvaluationException>

      public class GroupIterator
      extends CloseableIteratorIteration<BindingSet,QueryEvaluationException>

  Author:
    David Huynh, Arjohn Kampman, Jeen Broekstra, James Leigh

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `GroupIterator.Key` A unique key for a set of existing bindings.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupIterator(EvaluationStrategy strategy, Group group, BindingSet parentBindings)`
    `GroupIterator(EvaluationStrategy strategy, Group group, BindingSet parentBindings, long iterationCacheSyncThreshold)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `handleClose()` Called by `AbstractCloseableIteration.close()` when it is called for the first time.
    `boolean` | `hasNext()` Returns `true` if the iteration has more elements.
    `BindingSet` | `next()` Returns the next element in the iteration.

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.CloseableIteratorIteration

      `remove, setIterator`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### GroupIterator

          public GroupIterator(EvaluationStrategy strategy,
                               Group group,
                               BindingSet parentBindings)
                        throws QueryEvaluationException

      Throws:
        `QueryEvaluationException`

    - #### GroupIterator

          public GroupIterator(EvaluationStrategy strategy,
                               Group group,
                               BindingSet parentBindings,
                               long iterationCacheSyncThreshold)
                        throws QueryEvaluationException

      Throws:
        `QueryEvaluationException`

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()
                          throws QueryEvaluationException

      Description copied from interface: `Iteration`
      Returns `true` if the iteration has more elements. (In other words, returns `true` if `Iteration.next()` would return an element rather than throwing a `NoSuchElementException`.)
      Specified by:
        `hasNext` in interface `Iteration<BindingSet,QueryEvaluationException>`
      Overrides:
        `hasNext` in class `CloseableIteratorIteration<BindingSet,QueryEvaluationException>`
      Returns:
        `true` if the iteration has more elements.
      Throws:
        `QueryEvaluationException`

    - #### next

          public BindingSet next()
                          throws QueryEvaluationException

      Description copied from interface: `Iteration`
      Returns the next element in the iteration.
      Specified by:
        `next` in interface `Iteration<BindingSet,QueryEvaluationException>`
      Overrides:
        `next` in class `CloseableIteratorIteration<BindingSet,QueryEvaluationException>`
      Returns:
        the next element in the iteration.
      Throws:
        `QueryEvaluationException`

    - #### handleClose

          protected void handleClose()
                              throws QueryEvaluationException

      Description copied from class: `AbstractCloseableIteration`
      Called by `AbstractCloseableIteration.close()` when it is called for the first time. This method is only called once on each iteration. By default, this method does nothing.
      Overrides:
        `handleClose` in class `AbstractCloseableIteration<BindingSet,QueryEvaluationException>`
      Throws:
        `QueryEvaluationException`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.